GWT 2.7.0

## com.google.gwt.dom.client
Class TableSectionElement

    java.lang.Object
      com.google.gwt.core.client.JavaScriptObject
          com.google.gwt.dom.client.Node
              com.google.gwt.dom.client.Element
                  com.google.gwt.dom.client.TableSectionElement

    @TagName(value={"tbody","tfoot","thead"})
    public class TableSectionElement

extends Element

The THEAD, TFOOT, and TBODY elements.

Field Summary
`static java.lang.String` | `TAG_TBODY`
`static java.lang.String` | `TAG_TFOOT`
`static java.lang.String` | `TAG_THEAD`
`(package private) static java.lang.String[]` | `TAGS`

Fields inherited from class com.google.gwt.dom.client.Element
`DRAGGABLE_AUTO, DRAGGABLE_FALSE, DRAGGABLE_TRUE`

Fields inherited from class com.google.gwt.dom.client.Node
`DOCUMENT_NODE, ELEMENT_NODE, TEXT_NODE`

Constructor Summary
`protected` | `TableSectionElement()`

Method Summary
`static TableSectionElement` | `as(Element elem)` Assert that the given `Element` is compatible with this class and automatically typecast it.
`void` | `deleteRow(int index)` Delete a row from this section.
`java.lang.String` | `getAlign()` Horizontal alignment of data in cells.
`java.lang.String` | `getCh()` Alignment character for cells in a column.
`java.lang.String` | `getChOff()` Offset of alignment character.
`NodeList<TableRowElement>` | `getRows()` The collection of rows in this table section.
`java.lang.String` | `getVAlign()` Vertical alignment of data in cells.
`TableRowElement` | `insertRow(int index)` Insert a row into this section.
`static boolean` | `is(Element elem)` Determine whether the given `Element` can be cast to this class.
`static boolean` | `is(JavaScriptObject o)` Determines whether the given `JavaScriptObject` can be cast to this class.
`static boolean` | `is(Node node)` Determine whether the given `Node` can be cast to this class.
`void` | `setAlign(java.lang.String align)` Horizontal alignment of data in cells.
`void` | `setCh(java.lang.String ch)` Alignment character for cells in a column.
`void` | `setChOff(java.lang.String chOff)` Offset of alignment character.
`void` | `setVAlign(java.lang.String vAlign)` Vertical alignment of data in cells.

Methods inherited from class com.google.gwt.dom.client.Element

`addClassName, as, as, blur, dispatchEvent, focus, getAbsoluteBottom, getAbsoluteLeft, getAbsoluteRight, getAbsoluteTop, getAttribute, getClassName, getClientHeight, getClientWidth, getDir, getDraggable, getElementsByTagName, getFirstChildElement, getId, getInnerHTML, getInnerText, getLang, getNextSiblingElement, getOffsetHeight, getOffsetLeft, getOffsetParent, getOffsetTop, getOffsetWidth, getPreviousSiblingElement, getPropertyBoolean, getPropertyDouble, getPropertyInt, getPropertyJSO, getPropertyObject, getPropertyString, getScrollHeight, getScrollLeft, getScrollTop, getScrollWidth, getString, getStyle, getTabIndex, getTagName, getTitle, hasAttribute, hasClassName, hasTagName, indexOfName, removeAttribute, removeClassName, replaceClassName, scrollIntoView, setAttribute, setClassName, setDir, setDraggable, setId, setInnerHTML, setInnerSafeHtml, setInnerText, setLang, setPropertyBoolean, setPropertyDouble, setPropertyInt, setPropertyJSO, setPropertyObject, setPropertyString, setScrollLeft, setScrollTop, setTabIndex, setTitle, toggleClassName`

Methods inherited from class com.google.gwt.dom.client.Node
`appendChild, cloneNode, getChild, getChildCount, getChildNodes, getFirstChild, getLastChild, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentElement, getParentNode, getPreviousSibling, hasChildNodes, hasParentElement, insertAfter, insertBefore, insertFirst, isOrHasChild, removeAllChildren, removeChild, removeFromParent, replaceChild, setNodeValue`

Methods inherited from class com.google.gwt.core.client.JavaScriptObject
`cast, createArray, createArray, createFunction, createObject, equals, hashCode, toSource, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### TAGS

    static final java.lang.String[] TAGS

### TAG_TBODY

    public static final java.lang.String TAG_TBODY

See Also:
  Constant Field Values

### TAG_TFOOT

    public static final java.lang.String TAG_TFOOT

See Also:
  Constant Field Values

### TAG_THEAD

    public static final java.lang.String TAG_THEAD

See Also:
  Constant Field Values

Constructor Detail

### TableSectionElement

    protected TableSectionElement()

Method Detail

### as

    public static TableSectionElement as(Element elem)

  Assert that the given `Element` is compatible with this class and automatically typecast it.

### is

    public static boolean is(JavaScriptObject o)

  Determines whether the given `JavaScriptObject` can be cast to this class. A `null` object will cause this method to return `false`.

### is

    public static boolean is(Node node)

  Determine whether the given `Node` can be cast to this class. A `null` node will cause this method to return `false`.

### is

    public static boolean is(Element elem)

  Determine whether the given `Element` can be cast to this class. A `null` node will cause this method to return `false`.

### deleteRow

    public final void deleteRow(int index)

  Delete a row from this section.

  Parameters:
    `index` - The index of the row to be deleted, or -1 to delete the last row. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.

### getAlign

    public final java.lang.String getAlign()

  Horizontal alignment of data in cells. See the align attribute for HTMLTheadElement for details.

### getCh

    public final java.lang.String getCh()

  Alignment character for cells in a column.

  See Also:
    W3C HTML Specification

### getChOff

    public final java.lang.String getChOff()

  Offset of alignment character.

  See Also:
    W3C HTML Specification

### getRows

    public final NodeList<TableRowElement> getRows()

  The collection of rows in this table section.

### getVAlign

    public final java.lang.String getVAlign()

  Vertical alignment of data in cells. See the valign attribute for HTMLTheadElement for details.

### insertRow

    public final TableRowElement insertRow(int index)

  Insert a row into this section. The new row is inserted immediately before the current indexth row in this section. If index is -1 or equal to the number of rows in this section, the new row is appended.

  Parameters:
    `index` - The row number where to insert a new row. This index starts from 0 and is relative only to the rows contained inside this section, not all the rows in the table.
  Returns:
    The newly created row.

### setAlign

    public final void setAlign(java.lang.String align)

  Horizontal alignment of data in cells. See the align attribute for HTMLTheadElement for details.

### setCh

    public final void setCh(java.lang.String ch)

  Alignment character for cells in a column.

  See Also:
    W3C HTML Specification

### setChOff

    public final void setChOff(java.lang.String chOff)

  Offset of alignment character.

  See Also:
    W3C HTML Specification

### setVAlign

    public final void setVAlign(java.lang.String vAlign)

  Vertical alignment of data in cells. See the valign attribute for HTMLTheadElement for details.

GWT 2.7.0